#ifndef rest_PyPLOT_H
#define rest_PyPLOT_H
// ================ Include-Files =================================
#include "pch.h"
// =============== Class Declaration: PyPLOT  =====================
// Graphic Class PyPLOT by Graphics Python/C++ Wrapper matplotlibcpp
// -> Notes on installation in Visual Studio:
// https://stackoverflow.com/questions/66507618/
//                 running-python-matplotlibcpp-in-visual-studio-2019
// -> Documentation notes:
// Python Graphics: https://matplotlib-cpp.readthedocs.io/en/latest/
// -> Usage notes:
// matplotlibcpp: https://github.com/lava/matplotlib-cpp
// ==================================================================
// Copyright: Univ.-Prof. Dr.-Ing. Udo F. Meissner, Erkrath/Darmstadt
// Advanced teaching and study program - Commercial use not permitted.
// The author assumes no liability for incompleteness and errors!
// Version:  2023
// Compiler: C++ 
// ========= Declaration of Prototyps (header file) =================
class PyPLOT
{
//               Public Member Functions
//               =======================
//
// **************************************************************
// * *** this part of methods is documented within the book *** * 
// **************************************************************
//
// ==================================================================
//            Private Data Components -> PyPLOT-Descriptor
//            ============================================    
   private:
// ========
   double fx;
   double fy;
//
// Scaling factors
   double faktx;
   double fakty;
//
// Point attribute -> circle around point
// double circle_r
   double kreis_r; 
};
// ==================================================================
\end{lstlisting} 
